package cn.stylefeng.workflow.instance.modular.manage.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.workflow.api.entity.instance.RuntimeTimer;
import cn.stylefeng.workflow.instance.modular.manage.pojo.request.RuntimeTimerRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface RuntimeTimerService extends IService<RuntimeTimer> {

    void add(RuntimeTimerRequest runtimeTimerRequest);

    void removeAllInstanceTimer(Long instanceId);

    void edit(RuntimeTimerRequest runtimeTimerRequest);

    RuntimeTimer detail(RuntimeTimerRequest runtimeTimerRequest);

    List<RuntimeTimer> findList(RuntimeTimerRequest runtimeTimerRequest);

    PageResult<RuntimeTimer> findPage(RuntimeTimerRequest runtimeTimerRequest);

}